> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Static QR Codes

> List all static QR codes



## OpenAPI

````yaml get /v1/static_qr
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/static_qr:
    get:
      summary: Get All Static QRs
      description: >-
        This endpoint allows you to get all static QR codes. The static QR codes
        are the QR codes that you can use to receive payments.
      operationId: get-static-qr
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        reference:
                          type: string
                        payment_provider:
                          type: string
                        payment_provider_method:
                          type: string
                        amount:
                          type: number
                        currency:
                          type: string
                        payment_provider_method_logos:
                          type: array
                          items:
                            type: object
                            properties:
                              sm:
                                type: string
                              md:
                                type: string
                              lg:
                                type: string
                              svg:
                                type: string
                              svg_square:
                                type: string
                              png_square:
                                type: string
                              method:
                                type: string
                              iconName:
                                type: string
                              displayName:
                                type: string
                            required:
                              - sm
                              - md
                              - lg
                              - svg
                              - svg_square
                              - png_square
                              - method
                              - iconName
                              - displayName
                        payment_provider_method_main_logo:
                          type: object
                          properties:
                            sm:
                              type: string
                            md:
                              type: string
                            lg:
                              type: string
                            svg:
                              type: string
                            svg_square:
                              type: string
                            png_square:
                              type: string
                            method:
                              type: string
                            iconName:
                              type: string
                            displayName:
                              type: string
                          required:
                            - sm
                            - md
                            - lg
                            - svg
                            - svg_square
                            - png_square
                            - method
                            - iconName
                            - displayName
                        created_by:
                          type: object
                          properties:
                            id:
                              type: string
                            display_name:
                              type: string
                            first_name:
                              type: string
                            last_name:
                              type: string
                          required:
                            - id
                            - display_name
                            - first_name
                            - last_name
                        location_id:
                          type: string
                        location:
                          type: object
                          properties:
                            name:
                              type: string
                            address:
                              type: string
                          required:
                            - name
                            - address
                        device_id:
                          type: string
                        device:
                          type: object
                          properties:
                            label:
                              type: string
                          required:
                            - label
                        qr_value:
                          type: string
                        created_at:
                          type: string
                        updated_at:
                          type: string
                      required:
                        - id
                        - name
                        - reference
                        - payment_provider
                        - amount
                        - currency
                        - payment_provider_method
                        - payment_provider_method_logos
                        - payment_provider_method_main_logo
                        - created_by
                        - location_id
                        - location
                        - qr_value
                        - created_at
                        - updated_at
                  links:
                    type: object
                    properties:
                      first: {}
                      last: {}
                      prev: {}
                      next: {}
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      path:
                        type: string
                      per_page:
                        type: number
                      next_cursor: {}
                      prev_cursor: {}
                    required:
                      - path
                      - per_page
                      - next_cursor
                      - prev_cursor
                required:
                  - data
                  - links
                  - meta
      deprecated: false

````